semat                package:spatial                R Documentation

Evaluate Kriging Standard Error of Prediction over a Grid

Description:

     Evaluate Kriging standard error of prediction over a grid.

Usage:

     semat(obj, xl, xu, yl, yu, n, se)

Arguments:

     obj: object returned by 'surf.gls' 

      xl: limits of the rectangle for grid 

      xu: 

      yl: 

      yu: 

       n: use 'n'  x  'n' grid within the rectangle 

      se: standard error at distance zero as a multiple of the supplied
          covariance. Otherwise estimated, and it assumed that a
          correlation function was supplied. 

Value:

     list with components x, y and z suitable for 'contour' and
     'image'.

References:

     Ripley, B. D. (1981) _Spatial Statistics._ Wiley.

     Venables, W. N. and Ripley, B. D. (2002) _Modern Applied
     Statistics with S._ Fourth edition.  Springer.

See Also:

     'surf.gls', 'trmat', 'prmat'

Examples:

     data(topo, package="MASS")
     topo.kr <- surf.gls(2, expcov, topo, d=0.7)
     prsurf <- prmat(topo.kr, 0, 6.5, 0, 6.5, 50)
     contour(prsurf, levels=seq(700, 925, 25))
     sesurf <- semat(topo.kr, 0, 6.5, 0, 6.5, 30)
     contour(sesurf, levels=c(22,25))

